body{
    margin: 0;
    padding: 0;

}
.btn-creative{
    font-family: Arial, Helvetica, sans-serif;
    text-transform: uppercase;
    font-size: 30px;
    width: 240px;
    height: 60px;
    border-radius: 80px;
    line-height: 60px;
    text-align: center;
    border: 3px solid #009688;
    display: block;
    text-decoration: none !important;
    margin: 300px auto;
    color: #009688;
    position: relative;
    overflow: hidden;
    background: transparent;
    transition: .3s;
}
.btn-creative:before{
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    opacity: .5;
    background: #009688;
    top: -100%;
    left: 0;
    z-index: -1;
    transition: .3s;

}

.btn-creative:after{
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    background: #009688;
    top: -100%;
    left: 0;
    z-index: -1;
    transition: .3s;  
    transition-delay: .2s;
}
.btn-creative:hover{
    color: #fff;
}
.btn-creative:hover:before{
    top:0;
}
.btn-creative:hover:after{
    top:0;
}